//CHAPTER 4, SOLUTION 2

public class Tables
{
  public static void main(String[]args)
  {
    // Declare the rectangular array to store the multiplication table:
    int[][] table = new int[12][12];

    // Fill in the array with the multiplication table:
    for(int i = 0 ; i<table[1].length ; i++)
    {
      for(int j = 0 ; j<table.length ; j++)
      {
        table[i][j] = (i+1)*(j+1);
      }
    }

    // Output the table in the desired format:
    for(int i=0; i<table[1].length; i++)
    {
      if(i == 0)
      {
        System.out.println("      :   1   2   3   4   5   6   7   8   9  10  11  12");
        System.out.println("-------------------------------------------------------");
      }
      if( (i+1) < 10)
      {
	      System.out.print("Row  " + (i+1) + ":");
      }
      else  // We know that our times table is never larger than 2 digits.
      {
	      System.out.print("Row " + (i+1) + ":");
      }
      for(int j=0; j<table.length; j++)
      {
	      if(table[i][j] < 10)
	      {
	        System.out.print("   " + table[i][j]);
	      }
	      else if(table[i][j] < 100)
	      {
	        System.out.print("  " + table[i][j]);
	      }
	      else  // We know it cannot exceed  999...
	      {
	        System.out.print(" " + table[i][j]);
	      }
      }
      System.out.println();
    }
  }
}

