import java.io.*;

// Class to define an object representing a name.
class Name implements Serializable
{
  private String firstname;
  private String surname;
 
  // Default constructor:
  public Name(){}

  // Constructor:
  public Name(String firstname, String surname)
  {
    this.firstname = firstname;
    this.surname = surname;
  }
  
  // Returns String representation of a name:
  public String toString()
  {
    return firstname+" "+surname;
  }
}
