import java.util.*;

public class EvenMorePrimes
{
  public static void main(String args[])
  {
    Vector primes = new Vector(20);	// Vector object to store primes.
    primes.addElement(new Integer(2));	// Seed the first prime and add it
    primes.addElement(new Integer(3));	// to the vector and then the second.
    int count = 2;			// Count of primes found - up to now.
    long number = 5;			// Next integer to be tested.

    outer:
    for( ; count < primes.capacity(); number += 2L)
    {
      // The maximum divisor we need to try is square root of number:
      long limit = (long)Math.ceil(Math.sqrt((double)number));

      // Divide by all the primes we have up to limit:
      Enumeration thePrimes = primes.elements();
      Integer aPrime = (Integer)thePrimes.nextElement();

      for(int i = 1; i < count && aPrime.longValue() <= limit; i++)
      {
        if(number%aPrime.longValue() == 0) 	// Is it an exact divisor?
          continue outer;        		// Yes, try the next number:
        aPrime = (Integer)thePrimes.nextElement();
      }
      count++;
      primes.addElement(new Integer((int)number));  	// We got one!
    }

    Enumeration thePrimes = primes.elements();
    while(thePrimes.hasMoreElements())
      System.out.println(thePrimes.nextElement());  	// Output all the primes.
  }
}

