// *** No change apart from using "phoneno" instead of "number" throughout.

import java.io.*;

class BookEntry implements Serializable
{
	public BookEntry(Person person, PhoneNumber phoneno)
	{
		this.person = person;
		this.phoneno = phoneno;
	}

	public Person getPerson()
	{
		return person;
	}

	public PhoneNumber getNumber()
	{
		return phoneno;
	}

	public String toString()
	{
		return person.toString() + '\n' + phoneno.toString();
	}

	// Read an entry from the keyboard:
	public static BookEntry readEntry()
	{
		return new BookEntry(Person.readPerson(), PhoneNumber.readNumber());
	}

	private Person person;
	private PhoneNumber phoneno;
}