import java.io.*;

public class FormattedInput implements Serializable
{
	public String stringRead()
	{
		try
		{
			for(int i=0;i<5;i++)
			{
				int tokenType=tokenizer.nextToken();
				if (tokenType==tokenizer.TT_WORD||tokenType=='\"')
					return tokenizer.sval;
				else if(tokenType=='!')
					return"!";
				else
				{
					System.out.println("Incorrect input. Re-enter a string between double quotes");
					continue;
				}
			}
			System.out.println("Five failures reading a string"+" - program terminated");
			System.exit(1);
			return null;
		}
		catch(IOException e)
		{
			System.out.println(e);
			System.exit(1);
			return null;
		}
	}

	public int intRead()
	{
		try
		{
			for(int i=0; i<5; i++)
			{
				if(tokenizer.nextToken()==tokenizer.TT_NUMBER && tokenizer.nval==(double)((long)tokenizer.nval))
					return(int)tokenizer.nval;
				else
				{
					System.out.println("Incorrect input: "+tokenizer.sval+" Re-enter an integer");
					continue;
				}
			}
			System.out.println("Five failures reading an int value"+" - program terminated");

			System.exit(1);
			return 0;
		}
		catch(IOException e)
		{
			System.out.println(e);
			System.exit(1);
			return 0;
		}
	}
	private StreamTokenizer tokenizer=new StreamTokenizer(new InputStreamReader(System.in));
}