// *** Given that phone number also becomes key of a phonebook hashmap, implementation of interface
// Comparable plus methods compare(), equals()and hashCode(), need adding to class PhoneNumber.
// Also used String areacode throughout and replaced Object number with phoneno to increase clarity.

import java.io.*;

public class PhoneNumber implements Serializable, Comparable			// ***.
{	
	// Read a phone number from the keyboard:
	public static PhoneNumber readNumber()
	{
		FormattedInput in = new FormattedInput();

		System.out.println("\nEnter the area code:");					// Read in the area code:
		String areacode = Integer.toString(in.intRead());

		System.out.println("Enter the number, leaving no blanks:");		// Read in the number:
		String number = Integer.toString(in.intRead());

		return new PhoneNumber(areacode, number);
	}

	// *** Overriden default method returning true when two different PhoneNumber objects 
	public boolean equals(Object phoneno)				// contain identical data values:
	{
		return compareTo(phoneno) == 0;
	}

	// *** Overriden default method to generate hashcodes for the two PhoneNumber strings:
	public int hashCode()
	{
		return 7*areacode.hashCode() + 13*number.hashCode();
	}

	// Constructor:
	public PhoneNumber(String areacode, String number)
	{
		this.areacode = areacode;
		this.number = number;
	}

	public String toString()
	{
		return areacode + " " + number;									// *** Replace ' with ".
	}

	// *** Compare PhoneNumber objects using method belonging to Comparable interface:
	public int compareTo(Object phoneno)
	{
		int result = number.compareTo(((PhoneNumber)phoneno).number);
		return result == 0 ? areacode.compareTo(((PhoneNumber)phoneno).areacode) : result;
	}

	private String areacode;
	private String number;
}