// For solution 3: new switch() case 3 added to retrieve name by entering phone number.

class TryPhoneBook
{
	public static void main(String[]args)
	{
		PhoneBook book = new PhoneBook();						// The current phone book.
		FormattedInput in = new FormattedInput();				// Keyboard input.
		Person someone;											// Name for retrieving phone number.
		PhoneNumber num;										// *** Phone number for retrieving name.

		for(;;)
		{
			System.out.println(	"Enter:\n" +
								"1 to add a new phone book entry,\n" +
								"2 to find the number for a name,\n" +
								"3 to find the name for a number,\n" +			// ***.
								"4 to list all the entries,\n" +
								"0 to quit.");
			
			int what = in.intRead();
			switch(what)
			{
				case 1:	book.addEntry(BookEntry.readEntry());
						break;

				case 2:	someone = Person.readPerson();
						BookEntry entry = book.getEntry(someone);
						if(entry == null)						// If name is not found, say so: 
							System.out.println("The number for " + someone + " is not in the database");
						else									// Otherwise give the corresponding number:
							System.out.println("The number for " + someone + " is " + entry.getNumber());
						break;

				case 3:	num = PhoneNumber.readNumber();			// *** Case to retrieve name by number.
						entry = book.getEntry(num);
						if(entry == null) 						// *** If number is not found, say so:
							System.out.println("The name corresponding to " + num + " is not in the database");
						else									// *** Otherwise give the corresponding name:
							System.out.println(num + " phone number belongs to " + entry.getPerson());
						break;

				case 4:	book.listEntries();
						break;

				case 0:	book.save();
						System.out.println("Ending program.");
						return;

				default:System.out.println("Invalid selection, try again.");
						break;
			}
		}
	}
}
