import java.applet.*;
import javax.swing.*;
import java.awt.event.*;

public class PlayIt extends JApplet
{
  public void init()
  {
    // Get the sound clip
    String fileName = getParameter("clip");          // Get the file name
    clip = getAudioClip(getDocumentBase(), fileName);// Create the clip

    // Rest of the applet initialization...
    button = new JButton(play);
    button.addActionListener(new ActionListener()
                              {
                                public void actionPerformed(ActionEvent e)
                                {
                                  if(e.getActionCommand().equals(play))
                                  {
                                    clip.loop();
                                    button.setText(stop);
                                  }
                                  else
                                  {
                                    clip.stop();
                                    button.setText(play);
                                  }
                                }
                              }
                             );

    getContentPane().add(button);
  }

  AudioClip clip;                                   // The sound clip
  JButton button;
  final String play = "PLAY";                       // Play button label
  final String stop = "STOP";                       // Stop button label
}
