//CHAPTER 5, SOLUTION 4
// Make sure that the source and class files for mcmLength and tkgWeight
// Are not in the same directory as this file. Otherwise those classes will be
// used rather than the ones in the Measures package
import Measures.*;

public class Carpets
{
  public static void main(String args[])
  {
    long MM_PER_SQ_M = 1000000L;
    mcmLength[] carpetLengths = { new mcmLength(4,0,0), new mcmLength(3,57,0)};
    mcmLength[] carpetWidths = { new mcmLength(2,9,0), new mcmLength(5,0,0)};
    tkgWeight[] carpetWtPerSqM = { new tkgWeight(1.25), new tkgWeight(1.05)};
  
    double[] carpetAreas = {
                             carpetLengths[0].toMeters()*carpetWidths[0].toMeters(), 
                             carpetLengths[1].toMeters()*carpetWidths[1].toMeters()
                           };
    int[] carpetCounts = { 200, 60 };

    for(int i = 0 ; i<carpetAreas.length ; i++)
    {
      System.out.println("\nCarpet "+(i + 1) + ": Size = " + carpetLengths[i] + 
                                                           " by "+ carpetWidths[i]);
      System.out.println("        " + "  Weight per sq. m. = " + carpetWtPerSqM[i]);
      System.out.println("        " + "  Area = " + carpetAreas[i] + " sq. m.");
      System.out.println("        " + "  Weight of "+carpetCounts[i] + " carpets = " +
       carpetWtPerSqM[i].toKilograms()*carpetAreas[i]*carpetCounts[i] + " kgs.");

    }
 }
}
