public class Point
{
  private double x = 0.0;
  private double y = 0.0;

// Constructors:

  public Point(){}

  // Construct a Point from its coordinates:
  public Point(double x, double y)
  {
    this.x = x;
    this.y = y;
  }

  // Construct a Point from another Point:
  public Point(Point point)
  {
    x = point.x;
    y = point.y;
  }

  // Method to return a point defined relative to this
  // point in coordinates:
  public Point add(Point z)
  {
    return new Point(x+z.x,y+z.y);
  }

  // Overrides the method inherited from Object:
  public String toString()
  {
    return "Point: " + x + "," + y;
  }
}
