// Defines application wide constants

import java.awt.*;

public interface Constants
{ 
  // Element type definitions
  int LINE      = 101;
  int RECTANGLE = 102;
  int CIRCLE    = 103;
  int CURVE     = 104;
  int TEXT      = 105;

  // Operating modes
  int NORMAL = 0;
  int MOVE   = 1;
  int ROTATE = 2;

  // Initial conditions
  int DEFAULT_ELEMENT_TYPE = LINE;
  Color DEFAULT_ELEMENT_COLOR = Color.blue;
  Font DEFAULT_FONT = new Font("Times New Roman",Font.PLAIN, 12);
}

